<?php
include_once("c_cryptopro.php");
include_once(_DIR_EXT.'/cryptopro/panel_cert_info.php') ;
class c_page_cab_cryptopro_check_sert extends c_page_cab_cryptopro
{
 public $h1='Проверка сертификата пользователя с помощью ЭЦП' ;
 var $mode='check' ;
 var $account_id=0 ;
 var $rec_account=0 ;
 var $view_cert_info=1 ;
 var $use_cryptopro=1 ;
 public $show_panel_cryptopro_status=1;

 function body()
 { if (!MEMBER()->id)            { $this->mode='autorize' ; $this->account_id=$_SESSION['autorize_process']['account_id'] ; }
   else if ($_GET['check_sert']) { $this->mode='autorize' ; $this->account_id=MEMBER()->id ; }
   else                          { $this->mode='check' ;    $this->account_id=MEMBER()->id ; }

   $this->rec_account=ACCOUNTS()->get_member_by_id($this->account_id) ;

   if ($this->mode=='autorize') $this->body_autorize() ;
   else parent::body() ;
 }

 function panel_autorize()  {$this->panel_form_autorize() ;}

 function panel_form_autorize($options=array())
  {   //echo 'account_id_to_check_sert='.$_SESSION['account_id_to_check_sert'].'<br>' ;
      ?><form id="sky-form" class="sky-form" style="min-width:600px;">
            <header><img src="<?echo _LOGO_CAB?>"></header>
            <fieldset>
                 <h3><?echo $this->h1?></h3>
             <? $this->panel_check_sert() ; ?>
            </fieldset>
             <footer><button class="button v2" cmd="AD/cancel_check_sertificate">Отмена</button><button class="button v2" cmd="cryptopro/autorize_without_smena" account_id="<?echo $this->account_id?>">Войти без начала смены</button></footer>
        </form>
     <?
 }

 function block_main()
 {   $this->page_title() ;
     $this->panel_check_sert() ;
 }

 function panel_check_sert()
 {
     if (!$this->rec_account['certificate']['Thumbprint'] and !$this->rec_account['certificate']['SerialNumber']) {?><div class="alert" style="text-align:center;">Для данного аккаунта отсутствует информация по сертификату ЭЦП</div>Пожалуйста, обратитесь к администратору ЭСМО для загрузки в систему данных по сертификату.<? return ;}
     elseif ($this->rec_account['evulate_ECP']) {?><div class="alert">Проверка токена в режиме эмуляции ЭЦП не производиться</div><? return ;}
     elseif (!$this->account_id) {?><div class="alert">Не передан ID аккаунта для проверки</div><? return ;}


     ?><div id=process_status account_name="<?echo $this->rec_account['obj_name']?>"></div><?

      if ($this->view_cert_info) panel_cert_info($this->rec_account['certificate']) ;

      if ($this->mode=='check')
      { ?><div id="sign_comment" class="sign_doc_exec">
                  <strong style="font-size:10px;">Ход проверки</strong>
                  <textarea id="sign_comment_text" style="width:100%;height:100px;font-size:10px;"></textarea>
          </div>
        <?
      }

      // панель результата тестирования. До получения результата показываем бегунок ожидания
      ?><div id="check_result" account_id="<?echo $this->account_id?>"></div>
     <style type="text/css">
         #process_status{}
         #check_result{font-size:14px;font-weight:bold;margin:20px 0;text-align:center;width:400px;}
         #sign_comment textarea{width:100%;height:100px;font-size:10px;}
     </style>
	   <script type="text/javascript">
				 $j(document).ready(function()
							 {
										list_box_size();
										// Загрузка списка сертификатов после инициализации CryptoPro
										$j('body').on('cadesplugin_cp_versions', function(event, cp_params) {
												console.log('panel_select_user_certificate: cadesplugin_cp_versions');
												FillCertList_Async('CertListBox');
										});
								});
		 </script>
   <?
 }

}
?>
